Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#60458 - Netbeans 9 - initial import of settings from version 8.2 does not work

Attached to Project: Community Packages
Opened by Kevin Sopp (baraclese) - Wednesday, 17 October 2018, 12:26 GMT
Last edited by Santiago Torres (sangy) - Thursday, 18 October 2018, 15:37 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Santiago Torres (sangy)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description: initial import of settings from version 8.2 does not work because it looks for the netbeans.import file at the wrong location. Import of settings through Tools->Options->Import does seems to work however.


Additional info:
* package version: 9.0-1


Steps to reproduce:
Have a ~/.netbeans/8.2 settings folder. Start Netbeans 9 for the first time and it will ask if you want to import settings from 8.2. If yes then the exception "java.io.FileNotFoundException /usr/lib/netbeans/etc/netbeans.import" will be shown. The netbeans.import file is installed at /usr/etc/netbeans.import.
This task depends upon

Closed by  Santiago Torres (sangy)
Thursday, 18 October 2018, 15:37 GMT
Reason for closing:  Fixed
Comment by Santiago Torres (sangy) - Wednesday, 17 October 2018, 21:32 GMT
Hi,

Let me reproduce this issue on my side and issue a fix for -2.
Comment by Santiago Torres (sangy) - Wednesday, 17 October 2018, 23:25 GMT
Hi, I pushed 9.0-2 to community-testing. Could you try it out and see if it fixes your issue?

Thanks!
Comment by Kevin Sopp (baraclese) - Thursday, 18 October 2018, 09:47 GMT
I can confirm that the issue is fixed.

Loading...